Package org.eclipse.jface.viewers

## Interface ITableColorProvider

    public interface ITableColorProvider

Interface to provide color representation for a given cell within the row for an element in a table.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`Color` `getBackground​(Object element, int columnIndex)` Provides a background color for the given element at the specified index
`Color` `getForeground​(Object element, int columnIndex)` Provides a foreground color for the given element.

### Method Detail

#### getForeground

    Color getForeground​(Object element,
                        int columnIndex)

Provides a foreground color for the given element.

Parameters:
  `element` - the element
  `columnIndex` - the zero-based index of the column in which the color appears
Returns:
  the foreground color for the element, or `null` to use the default foreground color

#### getBackground

    Color getBackground​(Object element,
                        int columnIndex)

Provides a background color for the given element at the specified index

Parameters:
  `element` - the element
  `columnIndex` - the zero-based index of the column in which the color appears
Returns:
  the background color for the element, or `null` to use the default background color